Name:           libsurl
Version:        0.7.2
Release:        13%{?dist}
Summary:        A library for generating shortened URLs

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://libsurl.sourceforge.net/
Source0:        http://launchpad.net/libsurl/trunk/0.7/+download/%{name}-%{version}.tar.gz
#Patch0:		libsurl-var.patch

BuildRequires:  gcc
BuildRequires:  libcurl-devel


%description
libsurl is a library for generating short urls (using various online
services like tinyurl.com and bit.ly) suited to use where space is
limited, such as in status messages.
surl is available as a separate package and the command-line interface
to libsurl, providing most of the functionality in libsurl as well as
additional functionality likely to be of use to command-line users. 


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
#%patch0 -p1 -b .var


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%bcond_with tests
%if %{with tests}
%check
make check
%endif


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*


%files devel
%{_mandir}/man*/*.*
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 09 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.2-1
- Updated to new upstream version 0.7.2

* Sun Feb 26 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.7.1-5
- Fix FTBFS for F-17

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 19 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1-2
- Removed compression format format from man page and moved to -devel
- Changed group
- Added condition for building with tests
- Description changed

* Mon Jan 04 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1-1
- Updated to new upstream version 0.7.1 to fix issue with make

* Mon Jan 04 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.0-1
- Added man pages
- Updated to new upstream version 0.7.0

* Mon Dec 28 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.0-1
- Updated to new upstream version 0.6.0

* Sat Dec 26 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-1
- Updated to new upstream version 0.5.0

* Fri Dec 25 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.1-1
- Fixed upstream bug #500213
- Updated to new upstream version 0.4.1

* Thu Dec 24 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.0-1
- Initial spec for Fedora
